import { Service } from '@/Service/Service';
/*****登录接口*****/
class NvpBankService {
	private static GetPageBankListPath: string = '/Bank/GetPageBankList';
	/*****用户银行卡列表*****/
	static GetPageBankList(page: number) {
		var result = Service.Request(this.GetPageBankListPath, "GET", { page });
		return result;
	}

	private static GetBankListPath: string = '/Bank/GetBankList';
	/*****用户银行卡列表*****/
	static GetBankList() {
		var result = Service.Request(this.GetBankListPath, "GET", "");
		return result;
	}

	private static GetUnitBankListPath: string = '/Bank/GetUnitBankList';
	/*****银行卡列表*****/
	static GetUnitBankList() {
		var result = Service.Request(this.GetUnitBankListPath, "GET", "");
		return result;
	}

	private static AddUserBankPath: string = '/Bank/AddUserBank';
	/*****添加银行卡*****/
	static AddUserBank(account: string, bank: string, name: string) {
		var result = Service.Request(this.AddUserBankPath, "POST", { account, bank, name });
		return result;
	}

	private static UpdateBankPath: string = '/Bank/UpdateBank';
	/*****修改银行卡*****/
	static UpdateBank(ubId: string, bank: string, name: string, account: string) {
		var result = Service.Request(this.UpdateBankPath, "POST", { ubId, bank, name, account });
		return result;
	}

	private static DelUserBankPath: string = '/Bank/DelUserBank';
	/*****删除银行卡*****/
	static DelUserBank(ubId: string) {
		var result = Service.Request(this.DelUserBankPath, "POST", { ubId });
		return result;
	}

}
export {
	Service,
	NvpBankService
}
